Subject: TMC
From: gcf (Geoffrey Fox)
To: gcheng
Date: Mon, 10 May 93 16:09:03 EDT

From gcf Mon May 10 15:45:00 1993
 Received: from cosmos.npac.syr.edu by spica.npac.syr.edu (4.1/I-1.98K)
 	id AA07040; Mon, 10 May 93 15:44:50 EDT
 Date: Mon, 10 May 93 15:44:50 EDT
 From: gcf (Geoffrey Fox)
 Message-Id: <[email-masked]>
 Received: by cosmos.npac.syr.edu (4.1/N-0.12)
 	id AA00141; Mon, 10 May 93 15:44:48 EDT
 To: [email-masked]
 Subject: CMSSL
 Cc: gcf
 Status: RO
 
 1)I gather you currently cannot call CMSSL from a F77+CMMD
 program. Will this always be true?
 2)We are woirking with Syracuse Research Corporation
 on response to Airforce CEM(Computational Electromagnetic)
 Solicitation. I assume CMSSL is best for Solver part but
 a)In matrix fill part we have choice between
 CMFORTRAN
 CMFORTRAN(on node)+CMMD
 F77(on node)+CMMD
 As original code is 8,500 lines of F77 I see no point in CMFORTRAN
 except to improve vector performance on node. Thus I would like
 progression
 F77+CMMD for all --> replace solve part by CMSSL --> replace
 matrix fill by node CMFORTRAN
   Can you comment on strategy
 
 b)First part of task fits in memory but "production phase" needs
 out of core solver. Do you/Will you have in CMSSL
 
 From [email-masked] Mon May 10 16:05:24 1993
 Received: from mail.think.com by spica.npac.syr.edu (4.1/I-1.98K)
 	id AA07133; Mon, 10 May 93 16:05:21 EDT
 Received: from Euler.Think.COM by mail.think.com; Mon, 10 May 93 16:05:19 -0400
 Received: by euler.think.com (4.1/Think-1.2)
 	id AA17410; Mon, 10 May 93 16:05:07 EDT
 Message-Id: <[email-masked]>
 To: [email-masked] (Geoffrey Fox)
 Cc: [email-masked]
 Subject: Re: CMSSL 
 In-Reply-To: Your message of "Mon, 10 May 93 15:44:50 EDT."
              <[email-masked]> 
 Date: Mon, 10 May 93 16:05:06 EDT
 From: Lennart Johnsson <[email-masked]>
 Status: R

 	I would not plan on calling CMSSL from f77 for quite some time
 	to come.
 
 	I would port the code to CMF and call CMSSL from CMF.  It will take you
 	a couple of weeks, but not much more.  And you will be in much better 
 	shape.
 
 	There is a good chance we will have an out-of-core LU and QR solver 
 	in 3.1 Final, which should be out by the end of June.  The performance 
 	will not be the ultimate (mostly because of some file system issues).
 	Hopefully, we will be able to fix the performance in the next release.

 	Lennart
 
 --------